using Spectre.Console.Cli;
using System.ComponentModel;
using System.Diagnostics.CodeAnalysis;
// ReSharper disable RedundantNullableFlowAttribute

namespace GreasedLightning.Commands
{
    [SuppressMessage("ReSharper", "ClassNeverInstantiated.Global")]
    internal class GenerateCommand: Command<GenerateCommand.Settings>
    {
        public sealed class Settings : CommandSettings
        {
            [CommandArgument(0, "<OUTPUT>")]
            [Description("Directory to create the new PKI tree in.")]
            public string? Directory { get; set; }
            
            [CommandOption("--force")]
            [Description("Overwrite files in the destination directory if it exists.")]
            public bool Force { get; set; }

        }
        
        public override int Execute([NotNull]CommandContext context, [NotNull]Settings settings)
        {
            return 0;
        }
    }    
}
