﻿using GreasedLightning.Commands;
using Spectre.Console.Cli;

namespace GreasedLightning
{
    public static class Program
    {
        public static int Main(string[] args)
        {
            var app = new CommandApp();
            app.Configure(config =>
            {
                config.SetApplicationName("greasedlightning");
                config.ValidateExamples();
                config.AddExample(new[] { "generate"});

                // Generate
                config.AddCommand<GenerateCommand>("generate");
            });
            return app.Run(args);
        }
    }
}